/**
 * Copyright (c) 2021 Dominic Masters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */

#pragma once
#include <dawn/dawn.h>

/**
 * Load an XML child from a string buffer.
 * 
 * @param xml XML to load.
 * @param data Data to parse
 * @param i Character index within the data
 * @return The index in the data string this XML node ends.
 */
int32_t xmlLoadChild(xml_t *xml, char *data, int32_t i);

/**
 * Load an XML String into an XML memory.
 * 
 * @param xml XML to load into.
 * @param data XML string.
 */
void xmlLoad(xml_t *xml, char *data);

/**
 * Dispose a previously loaded XML.
 * 
 * @param xml XML to dispose.
 */
void xmlDispose(xml_t *xml);