/**
 * Copyright (c) 2021 Dominic Masters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */

#pragma once
#include <dawn/dawn.h>
#include "../../../ui/label.h"
#include "../../../ui/image.h"
#include "../../../display/framebuffer.h"
#include "../../../display/primitive.h"
#include "../../../display/primitives/quad.h"
#include "../../../display/primitives/cube.h"
#include "../../../display/camera.h"
#include "../../../vn/vncharacter.h"

#include "../../../ui/grid.h"
#include "../../../ui/align.h"

void pokerPlayerUiInit(pokerplayerui_t *ui);

void pokerPlayerUiUpdate(
  pokerplayerui_t *ui, pokergame_t *game, shader_t *shader, int32_t playerIndex,
  engine_t *engine
);

void pokerPlayerUiRender(
  pokerplayerui_t *ui, pokergame_t *game, shader_t *shader, font_t *font,
  engine_t *engine,
  int32_t playerIndex, float x, float y
);

void pokerPlayerUiDispose(pokerplayerui_t *ui);