/**
 * Copyright (c) 2021 Dominic Masters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */

#pragma once
#include <dawn/dawn.h>
#include "grid.h"
#include "../input/input.h"

/**
 * Initialize a Menu UI component.
 * 
 * @param menu Menu to initialize.
 */
void menuInit(menu_t *menu);

/**
 * Update a Menu UI Component
 * 
 * @param menu Menu to update
 * @param engine Engine to use during the update.
 */
void menuUpdate(menu_t *menu, engine_t *engine);